/* file: busybox.h	*/
#define int8	char
#define	int16	int
#define	int32	long
#define nil	0l

/* file: arith.c	*/
int abs(int);

/* for Radar.c	*/
void InitRadarObj(Rect*, int16);
void DrawRadarObj(int16);

/* for RandomDot.c	*/
void InitRandomDotObj(Rect*, int16);
void DrawRandomDotObj(int16);

/* for RandomDot2.c	*/
void InitRandomDot2Obj(Rect*, int16);
void DrawRandomDot2Obj(int16);

/* for FYAH.c	*/
void InitFYAHObj(Rect*, int16);
void DrawFYAHObj(int16);

/* For BusyBox.c	*/
void BeBusy(void);
void SetUp(int16);
void TakeDown(int16);
void DoSomeUpdateStuff(void);
void StowObjInfo(Rect*, int16);
void InitBusyBox(void);
void InitManagers(int16);

/* for heartbeat.h	*/
void InitHeartBeatObj(Rect *drawArea, int16 ID);
void DrawHeartBeatObj(int16 ID);

/* for Ball.c */
void InitSillyBallz(Rect*, int16);
void DrawSillyBallz(int16);

/* for meter.c */
void InitMeterObj(Rect *drawArea, int16 ID);
void DrawMeterObj(int16 ID);

/* About dialog resource ID */
#define AboutDlog 128

/* Menu resource IDs */
#define AppleID	128
#define FileID	129
#define EditID	130

/* Apple menu definitions */
#define appleMenu		0	/* apple menu index */
#define appleabout	1

/* file menu definitions */
#define fileMenu	1	/* file menu index */
#define quitCmd		1	/* the quit choice */

/* edit menu definitions */
#define editMenu	2	/* edit menu index */
#define undoCmd		1	/* undo command choice */
#define cutCmd		3	/* cut command choice */
#define copyCmd		4	/* copy command choice */
#define pasteCmd	5	/* paste command choice */
#define clearCmd	6	/* clear command choice */


typedef struct ObjInfo	{
	RgnHandle	clip;	/* Clipping region	*/
	Rect	rect;	/* Frame rectangle	*/
	int16	h;	/* SetOrigin values	*/
	int16 v;
}	ObjInfo;
extern ObjInfo	stuff[20];
