#include "SysTypes.r"


resource 'insc' (0) {
	format0 {		/* format */
		"Example Script",     /* name */
		"This is an example script. It copies one file and two System Resources.",    /* help message */
		{    /* file list (one file) */
			delRemove, delInstall, copy, old, noUpdateOnly, rsrcFork, dataFork, needExist, crDate, typeCr,    /* flags */
            'MYTP', 'MYCR',    /* type/creator */
            0x9ABCDEF1,    /* creation date */
            "My File"    /* file name */
        },
        {    /* resource target file list (one target resource file) */
            noDelRemove, noDelInstall, noCopy, old, noUpdateOnly,
            noRsrcFork, noDataFork, needExist, noCrDate, typeCr, /* flags */
            'ZSYS', 'MACS',    /* type/creator */
            0x0,    /* creation date */
            "System",    /* file name */
            {    /* resource source file list (one resource source file) */
                noDelRemove, noDelInstall, noCopy, old, noUpdateOnly,
                noRsrcFork, noDataFork, needExist,
                noCrDate, typeCr,    /* flags */
                'ZSYS', 'MACS',    /* type/creator */
                0x0,    /* creation date (ignored) */
                "System",    /* file name */
                { /* resource list (two resources) */
                    delRemove, delInstall, copy, old, updateOnly,
                    noEvenIf, needExist, byID,    /* flags */
                    'RSRC',    /* type */
                    128, 128,    /* source/target ids */
                    "Resource Name",    /* name */

                    delRemove, delInstall, copy, old, updateOnly,
                    noEvenIf, needExist, noByID,    /* flags */
                    'DRVR',    /* type */
                    0, 0,     /* source/target ids (ignored) */
                    "My Desk Accessory"    /* name */
                }
            }
        }
    }
};

