/*
	Copyright  1988,1989,1990 by Succinct Systems

	433 Huronview
	Ann Arbor, MI 48103
	(313) 663-4903

	File: 		StdMacIncludes.h
	Model: 		THINK C 4.0, MPW C 3.0

	ABSTRACT:
		Standard Macintosh #include <> directives

	NOTES:
		---

	KNOWN BUGS:
		---

	HISTORY:
		DAS	10-Jul-88	created this file	(David A. Surovell)
		DAS	10-Nov-89	THINK_C: added <DeviceMgr.h>
		DAS	05-Apr-90	THINK_C: added asm.h, pascal.h, HFS.h
		DAS	16-Apr-90	reorged ThinkC #includes
*/

#define	_H_StdMacIncludes


#ifdef THINK_C
#include <MacTypes.h>
#include <ResourceMgr.h>
#include <MemoryMgr.h>
#include <QuickDraw.h>
#include <Color.h>
#include <ColorToolbox.h>
#include <FontMgr.h>
#include <EventMgr.h>
#include <MenuMgr.h>
#include <WindowMgr.h>
#include <ControlMgr.h>
#include <TextEdit.h>
#include <DialogMgr.h>
#include <HFS.h>
#include <FileMgr.h>
#include <PackageMgr.h>
#include <OSUtil.h>
#include <ToolboxUtil.h>
#include <StdFilePkg.h>
#include <ScrapMgr.h>
#include <DeskMgr.h>
#include <PrintTraps.h>
#include <ListMgr.h>
#include <DeviceMgr.h>
#include <SegmentLdr.h>

#include <pascal.h>
#include <asm.h>
#endif THINK_C


#ifdef _MPWC_
#include <Types.h>
#include <Resources.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <Events.h>
#include <Windows.h>
#include <Menus.h>
#include <ROMDefs.h>
#include <QDOffscreen.h>
#include <Palettes.h>
#include <OSEvents.h>
#include <OSUtils.h>
#include <Controls.h>
#include <Desk.h>
#include <CType.h>
#include <Devices.h>
#include <Dialogs.h>
#include <DiskInit.h>
#include <Disks.h>
#include <ErrNo.h>
#include <Errors.h>
#include <FCntl.h>
#include <Files.h>
#include <IOCtl.h>
#include <Packages.h>
#include <Picker.h>
#include <Printing.h>
#include <PrintTraps.h>
#include <Scrap.h>
#include <SegLoad.h>
#include <StdIO.h>
#include <TextEdit.h>
#include <ToolUtils.h>

#include <Lists.h>
#endif _MPWC_


#ifdef _AZTECC_
#include <Resources.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Menus.h>
#include <Windows.h>
#include <TextEdit.h>
#include <Events.h>
#include <Desk.h>
#include <Controls.h>
#include <Fonts.h>
#include <Dialogs.h>
#include <Packages.h>
#include <OSUtils.h>
#include <Errors.h>
#include <Scrap.h>
#include <ToolUtils.h>
#include <Files.h>
#include <Print.h>
#include <List.h>
#endif  _AZTECC_


