/*
	Copyright  1990 by Succinct Systems

	433 Huronview
	Ann Arbor, MI 48103
	(313) 663-4903

	File: 		PolyUtils.h
	Model: 		THINK C 4.0, MPW C 3.0

	ABSTRACT:
		generate regular polygons and lists of endpoints

	NOTES:
		none yet.

	KNOWN BUGS:
		none yet.

	HISTORY:
		DAS 10-Jun-90	created this file	(David A. Surovell)
*/

#include <StdMacIncludes.h>				/* include standard Mac headers */
#include <Compatibility.h>				/* define compatibility control structures */
#include <SANE.h>

#define _H_PolyUtils


typedef Point	*PointPtr;

OSErr CreateRegularPoly(
	PolyHandle	*thisPoly,
	short		sideCount,
	short		vertexRadius,
	short		degreeOffset );

OSErr CreateVertexList(
	PointPtr	*pointList,
	short		sideCount,
	short		vertexRadius,
	short		degreeOffset );


